Holger's Java API

## com.antelmann.ooffice
Class OfficeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.antelmann.ooffice.OfficeException

All Implemented Interfaces:
  Serializable

    public class OfficeException

extends Exception

indicates a problem while interacting with the OpenOffice environment, wrapping various other exceptions that may occur (to ease the handling)

Author:
  Holger Antelmann
See Also:
  Serialized Form

Constructor Summary
`OfficeException()`
`OfficeException(String msg)`
`OfficeException(String msg, Throwable cause)`
`OfficeException(Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OfficeException

    public OfficeException()

### OfficeException

    public OfficeException(String msg)

### OfficeException

    public OfficeException(Throwable cause)

### OfficeException

    public OfficeException(String msg,
                           Throwable cause)

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads